> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Routing Number



## OpenAPI

````yaml api-reference/openapi-utilities.json GET /routing_number/{routing_number}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /routing_number/{routing_number}:
    get:
      tags:
        - Routing Number
      summary: Fetch a Routing Number
      parameters:
        - description: The routing number of the bank. Filterable.
          in: path
          name: routing_number
          required: true
          schema:
            description: The routing number of the bank. Filterable.
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    ach: true
                    bank_name: FEDERAL RESERVE BANK OF BOSTON
                    bank_short_name: FRB-BOS
                    city: BOSTON
                    created_at: '2021-11-12T18:48:27Z'
                    routing_number: '011000015'
                    state: MA
                    updated_at: '2021-11-12T18:48:27Z'
                    wire: true
              schema:
                properties:
                  ach:
                    description: Whether the routing number processes FedACH payments
                    type: boolean
                  bank_name:
                    description: The name of the bank
                    type: string
                  bank_short_name:
                    description: The short-form name of the bank
                    type: string
                  city:
                    description: City
                    type: string
                  created_at:
                    description: >-
                      Timestamp of when this Routing Number object was added to
                      Treasury Prime's records
                    type: string
                  routing_number:
                    description: The routing number of the bank. Filterable.
                    type: string
                  state:
                    description: State
                    type: string
                  updated_at:
                    description: Timestamp of the last object update
                    type: string
                  wire:
                    description: Whether the routing number processes FedWire payments
                    type: boolean
          description: The routing-number
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````